Bug 489968 - i386 package installation via SSM obscures respective available x86_64 packages in SDC
i386 package installation via SSM obscures respective available x86_64 packag...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brad Buckingham
Steve Salevan
:
Depends On:
Blocks: 471789
  Show dependency treegraph
 
Reported: 2009-03-12 14:07 EDT by Steve Salevan
Modified: 2009-09-10 14:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-03-12 14:07:40 EDT
Description of problem:
OK, this is a weird one, guys.  Here goes:

Let's assume that we're using a freshly kickstarted x86_64 client system running RHEL 4.8, 5.3, or greater (to ensure that they're running the latest rhnlib code, containing the multiarch enhancements), registered to a 530 Satellite.

If a user installs an i386 version of a package via the SSM where an x86_64 version of the package also exists (say, 'amanda', for all you Boston fans out there, all three of ya), the SDC will report that the x86_64 version is not available for installation, despite it not being installed.

Version-Release number of selected component (if applicable):
530-re20090306.2

How reproducible:
Always

Steps to Reproduce:
1. Register a freshly kickstarted x86_64 box to your Satellite (ensuring that it's running the latest rhnlib)
2. Select this system to be managed via the SSM, and via the SSM, schedule an installation of the i386 version of the 'amanda' package (don't schedule anything else)
3. Run rhn_check -vvvvv on your client and ensure that the i386 information is transmitted to packages.update from your Satellite (it should look like the attached rhn_check output)
4. After this package installs, pop over to the SDC for your x86_64 client
5. Software->Packages->Install
6. Attempt to install the x86_64 version of 'amanda'

Actual results:
Package is not available for installation

Expected results:
Package is available for installation

Additional info:
Comment 2 Brad Buckingham 2009-03-18 13:16:06 EDT
git commit: db54c2d7fff136c0b6831a7b1c773a62b17e5cfc

Found that the same problem would occur in the following scenario:
1. register x86_64 system
2. install an i386 package (using System->Software->Install + rhn_check on client)
   (note: pick a package that exists in both i386 & x86_64)
3. observe that System->Software->Install no longer lists the x86_64 package

The issue with the existing query on that page was that it would omit from
the list any package that had the same 'name_id' as a package already installed.
Comment 3 Brad Buckingham 2009-03-23 16:28:22 EDT
mass move to ON_QA
Comment 4 Steve Salevan 2009-03-31 14:28:42 EDT
Tested and verified on 530-re20090327.0.  Moving to VERIFIED.
Comment 5 Preethi Thomas 2009-08-07 10:37:18 EDT
Release Pending
tested on test1182.test.redhat.com
Comment 6 Brandon Perkins 2009-09-10 14:44:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.